Subject: Re: [PATCH 1/1] compat: modernize and simplify byte swapping functions

From: Jeff King <[email-masked]>
Date: Wed, 14 Jan 2026 16:14:09 -0500

On Mon, Jan 12, 2026 at 12:05:22AM +0200, Rostislav Krasny wrote:

> Did you decide something about this pull request? Should I improve it
> and send v2?

I don't have a strong opinion on it. To some degree, it feels a bit like
code churn, because I do not recall anybody complaining particularly
about the current implementation (and as we saw, it ends up as bswap
either way). But maybe others feel differently.

-Peff